"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.isPromise = exports.isString = exports.isObject = exports.isMiddlewares = exports.isFunction = exports.isUndefined = void 0;

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var isUndefined = function isUndefined(obj) {
  return typeof obj === 'undefined';
};

exports.isUndefined = isUndefined;

var isFunction = function isFunction(func) {
  return typeof func === 'function';
};

exports.isFunction = isFunction;

var isMiddlewares = function isMiddlewares(prop) {
  return prop === 'middlewares';
};

exports.isMiddlewares = isMiddlewares;

var isObject = function isObject(obj) {
  return {}.toString.call(obj) === '[object Object]';
};

exports.isObject = isObject;

var isString = function isString(obj) {
  return {}.toString.call(obj) === '[object String]';
};

exports.isString = isString;

var isPromise = function isPromise(obj) {
  return !!obj && (_typeof(obj) === 'object' || typeof obj === 'function') && typeof obj.then === 'function';
};

exports.isPromise = isPromise;
var _default = {
  isFunction: isFunction,
  isMiddlewares: isMiddlewares,
  isPromise: isPromise,
  isObject: isObject,
  isUndefined: isUndefined,
  isString: isString
};
exports.default = _default;